--- title: "Get channel list" slug: "media-livestation-channel-vodchannellist" tags: ["Live Station"] updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/media-livestation-channel-vodchannellist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get channel list Available in Classic and VPC Get the VOD2LIVE channel list. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/vod/channels | ### Request headers For information about the headers common to all Live Station APIs, see [Live Station request headers](/docs/en/media-livestation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number - 1-N | | `pageSizeNo` | Integer | Optional | Number of items per page - 1-100 | ### Request example The request example is as follows: ``` curl --location --request GET 'https://livestation.apigw.ntruss.com/api/v2/vod/channels' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-region_code: KR' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Array | - | Channel list: [content](/docs/en/media-livestation-channel-vodchannellist#content) | | `total` | Integer | - | Total response count | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `channelId` | String | - | Channel ID | | `channelName` | String | - | Channel name | | `instanceNo` | Integer | - | Channel instance number | | `qualitySetId` | Integer | - | Image quality setting ID | | `qualitySetName` | String | - | Image quality setting name | | `outputProtocol` | String | - | Output Protocol | | `channelStatus` | String | - | Channel status - `CREATING` \| `READY` \| `PUBLISHING` \| `DELETED` \| `BLOCK` \| `RESERVED` \| `FORCE_BLOCK` \| `FORCE_DELETED` - `CREATING`: Creating - `READY`: Ready - `PUBLISHING`: Streaming - `DELETED`: Terminated - `BLOCK`: Stopped - `RESERVED`: Streaming scheduled - `FORCE_BLOCK`: Force stopped - `FORCE_DELETED`: Unavailable | | `cdn` | Object | - | Set up CDN. | | `cdn.instanceNo` | String | - | CDN instance ID | | `cdn.serviceName` | String | - | CDN service name | | `cdn.statusName` | String | - | CDN status - `RUNNING` \| `PUBLISHING` \| `STOPPING` \| `STOPPED` \| `CREATING` \| `CHANGING` \| `CDN_NOT_FOUND` - `RUNNING`: Running - `PUBLISHING`: Deploying - `STOPPING`: Stopping - `STOPPED`: Stopped - `CREATING`: Creating - `CHANGING`: Changing - `CDN_NOT_FOUND`: CDN not found | | `cdn.cdnType` | String | - | CDN type - `GLOBAL_CDN` \| `GLOBAL_EDGE` | | `cdn.cdnDomain` | String | - | CDN service domain | | `cdn.profileId` | Integer | - | Global Edge profile ID | | `cdn.regionType` | String | - | Global Edge Service Region | | `totalPublishSeconds` | Integer | - | Channel usage time (second) | | `createdTime` | Integer | - | Channel creation date and time (millisecond) - Unix timestamp format | | `updatedTime` | Integer | - | Channel update date and time (millisecond) - Unix timestamp format | | `alertOn` | Boolean | - | Event notification settings - `true` \| `false` - `true`: Enable - `false`: Disable | | `recentPublishTime` | Integer | - | Latest streaming start date and time (millisecond) - Unix timestamp format - Not displayed if it is before the first streaming | | `alertOptions` | Object | - | Set event notifications. | | `alertOptions.alertChangeStatus` | Boolean | - | Channel status change notification application - `true` \| `false` - `true`: Apply - `false`: Not apply | | `callbackEndpoint` | String | - | Callback endpoint URL - Displayed if a valid value exists | | `envType` | String | - | Channel type - `DEV` \| `STAGE` \| `REAL` | | `type` | String | - | Channel type - `VOD` | | `scheduleList` | Array | - | Schedule list: [scheduleList](/docs/en/media-livestation-channel-vodchannellist#scheduleList) | | `drmEnabledYn` | Boolean | - | Multi DRM usage - `true` \| `false` - `true`: Enable - `false`: Disable | | `drm` | Object | - | Multi DRM settings - If `drmEnabledYn` is `true`, display sub-information. | | `drm.siteId` | String | - | Site ID | | `drm.contentId` | String | - | Content ID | #### `scheduleList` The following describes `scheduleList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `scheduleId` | Integer | - | Schedule ID | | `status` | String | - | Schedule status | ### Response status codes For information about the HTTP status codes common to all Live Station APIs, see [Live Station response status codes](/docs/en/media-livestation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": [ { "channelId": "ls-20250820******-qdrMQ", "channelName": "V2lTestChannel", "instanceNo": 10******4, "qualitySetId": 3, "qualitySetName": "1080p-set", "outputProtocol": "HLS", "channelStatus": "READY", "cdn": { "instanceNo": "1****", "serviceName": "edge-ls-20250814******-PZohi", "statusName": "RUNNING", "cdnType": "GLOBAL_EDGE", "cdnDomain": "*************.edge.naverncp.com", "profileId": 4207, "regionType": "KOREA" }, "totalPublishSeconds": 0, "createdTime": 1755657043000, "updatedTime": 1755657043000, "alertOn": false, "alertOptions": { "alertChangeStatus": false }, "callbackEndpoint": "https://www.example.com", "envType": "REAL", "type": "VOD", "drmEnabledYn": true, "drm": { "siteId": "drm-20250814******-gJMis", "contentId": "my-Test-Multidrm" } }, { "channelId": "ls-20250818******-C6e7r", "channelName": "v2l_test", "instanceNo": 10******3, "qualitySetId": 3, "qualitySetName": "1080p-set", "outputProtocol": "HLS", "channelStatus": "READY", "cdn": { "instanceNo": "1****", "serviceName": "edge-ls-20250814*******PZohi", "statusName": "RUNNING", "cdnType": "GLOBAL_EDGE", "cdnDomain": "*************.edge.naverncp.com", "profileId": 4207, "regionType": "KOREA" }, "totalPublishSeconds": 11825, "createdTime": 1755504277000, "updatedTime": 1755660367000, "alertOn": false, "recentPublishTime": 1755648542000, "alertOptions": { "alertChangeStatus": false }, "callbackEndpoint": "https://www.example.com", "envType": "REAL", "type": "VOD", "scheduleList": [ { "scheduleId": 1289, "status": "FINISH" } ], "drmEnabledYn": false } ], "total": 2 } ```